Skip to main content
PUT
cURL

Authorizations

Authorization
string
header
required

Your CamposCloud API token, sent as Authorization: Bearer <token>.

Path Parameters

teamId
string
required

ID of the team to update

Body

application/json

Team data to update

name
string
required

The new name of the team.

Maximum string length: 50
Example:

"My Renamed Team"

Response

Team updated successfully.

A team as stored, with the owner and the members referenced by their user ID.

_id
string

The unique identifier of the team.

Example:

"000000000000000000000003"

name
string

The name of the team.

Example:

"My Team"

owner
string

ID of the user who owns the team.

Example:

"000000000000000000000002"

members
object[]

Members of the team. The owner is not part of this list.

invites
object[]

Pending invites.

createdAt
string<date-time>

When the team was created.

Example:

"2025-01-01T12:00:00.000Z"

updatedAt
string<date-time>

When the team was last updated.

Example:

"2025-01-01T12:00:00.000Z"

__v
integer

Internal document version.

Example:

0